import { PipeTransform, OnDestroy, ChangeDetectorRef } from '@angular/core';
import { RemoteData } from './remote-data';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class IsNotAskedPipe implements PipeTransform {
    transform<T, E>(rd: undefined | null | RemoteData<T, E>): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<IsNotAskedPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<IsNotAskedPipe, "isNotAsked", false>;
}
export declare class IsInProgressPipe implements PipeTransform {
    transform<T, E>(rd: undefined | null | RemoteData<T, E>): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<IsInProgressPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<IsInProgressPipe, "isInProgress", false>;
}
export declare class AnyIsInProgressPipe implements PipeTransform, OnDestroy {
    private cd;
    private _latestValue;
    private _subscription;
    private _rds$;
    constructor(cd: ChangeDetectorRef);
    transform<T, E>(rds$: undefined | null | Observable<RemoteData<T, E>>[]): boolean;
    ngOnDestroy(): void;
    dispose(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AnyIsInProgressPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<AnyIsInProgressPipe, "anyIsInProgress", false>;
}
export declare class AnyIsNotAskedPipe implements PipeTransform, OnDestroy {
    private cd;
    private _latestValue;
    private _subscription;
    private _rds$;
    constructor(cd: ChangeDetectorRef);
    transform<T, E>(rds$: undefined | null | Observable<RemoteData<T, E>>[]): boolean;
    ngOnDestroy(): void;
    dispose(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AnyIsNotAskedPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<AnyIsNotAskedPipe, "anyIsNotAsked", false>;
}
export declare class IsFailurePipe implements PipeTransform {
    transform<T, E>(rd: undefined | null | RemoteData<T, E>): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<IsFailurePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<IsFailurePipe, "isFailure", false>;
}
export declare class IsSuccessPipe implements PipeTransform {
    transform<T, E>(rd: undefined | null | RemoteData<T, E>): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<IsSuccessPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<IsSuccessPipe, "isSuccess", false>;
}
export declare class HasValuePipe implements PipeTransform {
    transform<T, E>(rd: undefined | null | RemoteData<T, E>): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<HasValuePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<HasValuePipe, "hasValue", false>;
}
export declare class GetSuccessPipe implements PipeTransform {
    transform<T, E>(rd: undefined | null | RemoteData<T, E>, defaultValue?: T | undefined): T | undefined;
    static ɵfac: i0.ɵɵFactoryDeclaration<GetSuccessPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<GetSuccessPipe, "successValue", false>;
}
export declare class GetInProgressPipe implements PipeTransform {
    transform<T, E>(rd: undefined | null | RemoteData<T, E>, defaultValue?: T | undefined): T | undefined;
    static ɵfac: i0.ɵɵFactoryDeclaration<GetInProgressPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<GetInProgressPipe, "inProgressValue", false>;
}
export declare class GetRemoteDataValuePipe implements PipeTransform {
    transform<T, E>(rd: undefined | null | RemoteData<T, E>): T | E | undefined;
    static ɵfac: i0.ɵɵFactoryDeclaration<GetRemoteDataValuePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<GetRemoteDataValuePipe, "remoteDataValue", false>;
}
export declare class GetFailureErrorPipe implements PipeTransform {
    transform<T, E>(rd: undefined | null | RemoteData<T, E>): E | undefined;
    static ɵfac: i0.ɵɵFactoryDeclaration<GetFailureErrorPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<GetFailureErrorPipe, "failureError", false>;
}
export declare class GetFailureValuePipe implements PipeTransform {
    transform<T, E>(rd: undefined | null | RemoteData<T, E>): T | undefined;
    static ɵfac: i0.ɵɵFactoryDeclaration<GetFailureValuePipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<GetFailureValuePipe, "failureValue", false>;
}
